Name: eGroupware
Version: 1.6.003
%define pack_no -2
Release: 18.2
Summary: EGroupware is a web-based groupware suite written in php.
Group: Web/Database
License: GPLv2 with exception
URL: http://www.egroupware.org
Vendor: eGroupware
Packager: Ralf Becker <rb@stylite.de>
Prefix: /usr/share
%define egwdir %{prefix}/egroupware
%define egwdatadir /var/lib/egroupware

%if 0%{?suse_version}
	%define php php5
	%define httpdconfd /etc/apache2/conf.d
	%define distribution SUSE Linux %{?suse_version}
	%define extra_requires apache2 apache2-mod_php5 php_any_db php5-dom php5-bz2 php5-openssl php5-zip php5-ctype
	%define cron cron
	%define apache_user wwwrun
	%define apache_group www
	%define pear_dir \\/usr\\/share\\/php5\\/PEAR
%else
	%define php php
	%define httpdconfd /etc/httpd/conf.d
	%define cron crontabs
	%define apache_user apache
	%define apache_group apache
	%define pear_dir \\/usr\\/share\\/pear
%endif
%if 0%{?fedora_version}
	%define osversion %{?fedora_version}
	%define distribution Fedora Core %{?fedora_version}
	%define extra_requires httpd php-mysql php-xml
%endif
%if 0%{?mandriva_version}
	%define osversion %{?mandriva_version}
	%define distribution Mandriva %{?mandriva_version}
	%define extra_requires apache php-mysql php-dom php-pdo_mysql php-pdo_sqlite
# try to keep build from searching (for wrong) dependencys
	%undefine __find_provides
	%undefine __find_requires
%endif
%if 0%{?rhel_version}
	%define osversion %{?rhel_version}
	%define distribution Red Hat %{?rhel_version}
	%define extra_requires httpd php-mysql php-xml
%endif
%if 0%{?centos_version}
	%define osversion %{?centos_version}
	%define distribution CentOS %{?centos_version}
	%define extra_requires httpd php-mysql php-xml
%endif

Distribution: %{distribution}

Source0: %{name}-%{version}%{pack_no}.tar.gz
Source1: %{name}-egw-pear-%{version}%{pack_no}.tar.bz2
Source2: %{name}-icalsrv-%{version}%{pack_no}.tar.bz2
Source3: %{name}-mydms-%{version}%{pack_no}.tar.bz2
Source4: %{name}-gallery-%{version}%{pack_no}.tar.bz2
Source5: %{name}-rpmlintrc
Patch0: class.uiasyncservice.inc.php.patch
BuildRoot: /tmp/%{name}-buildroot

#otherwise build fails because of jar files in G2
BuildRequires: unzip

Buildarch: noarch
AutoReqProv: no

Requires: %{name}-core            >= %{version}
Requires: %{name}-egw-pear        >= %{version}
#Requires: %{name}-addressbook    >= %{version}
Requires: %{name}-bookmarks       >= %{version}
Requires: %{name}-calendar        >= %{version}
Requires: %{name}-developer_tools >= %{version}
Requires: %{name}-emailadmin      >= %{version}
Requires: %{name}-felamimail      >= %{version}
Requires: %{name}-filemanager     >= %{version}
Requires: %{name}-infolog         >= %{version}
Requires: %{name}-importexport    >= %{version}
Requires: %{name}-manual          >= %{version}
Requires: %{name}-news_admin      >= %{version}
Requires: %{name}-notifications   >= %{version}
Requires: %{name}-phpbrain        >= %{version}
Requires: %{name}-phpsysinfo      >= %{version}
Requires: %{name}-polls           >= %{version}
Requires: %{name}-projectmanager  >= %{version}
Requires: %{name}-registration    >= %{version}
Requires: %{name}-resources       >= %{version}
Requires: %{name}-sambaadmin      >= %{version}
Requires: %{name}-sitemgr         >= %{version}
Requires: %{name}-syncml          >= %{version}
Requires: %{name}-timesheet       >= %{version}
Requires: %{name}-tracker         >= %{version}
Requires: %{name}-wiki            >= %{version}
Requires: %{name}-icalsrv         >= %{version}
Requires: %{name}-mydms           >= %{version}

%description
EGroupware is a web-based groupware suite written in PHP.

This package provides the eGroupware default applications:

egroupware core with: admin, api, docs, etemplate, prefereces and setup,
addressbook, bookmarks, calendar, translation-tools, emailadmin, felamimail,
filemanager, infolog, manual, news admin, knowledgebase, polls,
projectmanager, resources, sambaadmin, sitemgr, syncml, timesheet, tracker, wiki

It also provides an API for developing additional applications.

Further contributed applications are avalible in single packages.

%package core
Summary: The eGroupware core package
Group: Web/Database
Requires: %{php} >= 5.1.0
Requires: %{php}-mbstring %{php}-gd %{php}-mcrypt %{php}-pear %{php}-posix %{extra_requires} %{cron} zip
Provides: egw-core %{version}
Provides: egw-etemplate %{version}
Provides: egw-addressbook %{version}
%description core
This package provides the eGroupware core applications.
%post core
%if 0%{?rhel_version} || 0%{?fedora_version} || 0%{?centos_version}
	chcon -R -u user_u -r object_r -t httpd_sys_content_t /var/lib/egroupware
	setsebool -P httpd_can_network_connect=1
%endif

%package egw-pear
Version: %{version}
Summary: The EGroupware egw-pear application
Group: Web/Database
Requires: %{php}-pear
AutoReqProv: no
Requires: egw-core >= %{version}
Provides: egw-pear %{version}
%description egw-pear
egw-pear contains modified pear classes necessary for EGroupware

# addressbook is part of core now, as it contains required classes for accounts
#%package addressbook
#Version: %{version}
#Summary: The eGroupware addressbook application
#Group: Web/Database
#AutoReqProv: no
#Requires: egw-core >= %{version}
#Provides: egw-addressbook
#%description addressbook
#Contact manager with Vcard support.
#addressbook is the egroupware contact application.
#It has different backends to store and retrive contacts
#from SQL or LDAP.

%package bookmarks
Version: %{version}
Summary: The eGroupware bookmarks application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description bookmarks
Manage your bookmarks with eGroupware. Has Netscape plugin.

%package calendar
Version: %{version}
Summary: The eGroupware calendar application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description calendar
Powerful calendar with meeting request system, Alarms, ICal and E-Mail support,
and ACL security.

%package developer_tools
Version: %{version}
Summary: The eGroupware developer_tools application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description developer_tools
The TranslationTools allow to create and extend translations-files for eGroupware.
They can search the sources for new / added phrases and show you the ones missing in your language.

%package emailadmin
Version: %{version}
Summary: The eGroupware emailadmin application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}, %{name}-egw-pear >= %{version}, php-openssl
%description emailadmin
EmailAdmin allow to maintain User email accounts

%package felamimail
Version: %{version}
Summary: The eGroupware Webmail application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}, %{name}-emailadmin >= %{version}, %{name}-egw-pear >= %{version}
%description felamimail
The Email application for eGroupware.

%package filemanager
Version: %{version}
Summary: The eGroupware filemanager application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}, egw-pear >= %{version}
%description filemanager
This is the filemanager app for eGroupware.

%package gallery
Version: %{version}
Summary: The eGroupware gallery application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}, egw-pear >= %{version}
%description gallery
An embedded Gallery2 for eGroupware.

%package icalsrv
Version: %{version}
Summary: The eGroupware icalsrv application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description icalsrv
This is the old icalsrv app for eGroupware.
It is NOT necessary for GroupDAV, CalDAV or CardDAV,
which is build into the eGroupware core.

%package infolog
Version: %{version}
Summary: The eGroupware infolog application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description infolog
This is the infolog app for eGroupware (Notes, ToDo, Phonelogs, CRM).

%package importexport
Version: %{version}
Summary: The eGroupware importexport application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description importexport
This is the importexport app for eGroupware. It includes a comandline client.

%package manual
Version: %{version}
Summary: The eGroupware manual application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description manual
This is the manual app for eGroupware: online help system.

%package mydms
Version: %{version}
Summary: The eGroupware mydms application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}, egw-pear >= %{version}
%description mydms
This is a mydms port to eGroupware.

%package news_admin
Version: %{version}
Summary: The eGroupware news_admin application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description news_admin
This is the news_admin app for eGroupware.

%package notifications
Version: %{version}
Summary: The eGroupware notifications application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description notifications
This is the notifications app for eGroupware.

%package phpbrain
Version: %{version}
Summary: The eGroupware phpbrain application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description phpbrain
This is the phpbrain app for eGroupware.

%package phpsysinfo
Version: %{version}
Summary: The eGroupware phpsysinfo application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description phpsysinfo
This is the phpsysinfo app for eGroupware.

%package polls
Version: %{version}
Summary: The eGroupware polls application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description polls
This is the polls app for eGroupware.

%package projectmanager
Version: %{version}
Summary: The eGroupware projectmanager application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version},
%description projectmanager
The projectmanager is eGroupware's new project management application.
It's fully integrated into eGroupware and use the data of InfoLog and Calendar.
Plugable datasources allow to support and manage further applications.

%package registration
Version: %{version}
Summary: The eGroupware registration application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description registration
This is the registration app for eGroupware.

%package resources
Version: %{version}
Summary: The eGroupware resources application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description resources
resources is a resource booking sysmtem for eGroupware.
Which integrates into the calendar.

%package sambaadmin
Version: %{version}
Summary: The eGroupware sambaadmin application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description sambaadmin
Manage LDAP based sambaacounts and workstations.

%package sitemgr
Version: %{version}
Summary: The eGroupware Sitemanager CMS application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description sitemgr
This is the Sitemanager CMS app for eGroupware.

%package syncml
Version: %{version}
Summary: The eGroupware syncml application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description syncml
This is the syncml app for eGroupware.

%package timesheet
Version: %{version}
Summary: The eGroupware timesheet application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description timesheet
Simple timesheet application, which allow to record and report
the times and other expenses. It can be uses as well standalone
as together with the ProjectManager application.

%package tracker
Version: %{version}
Summary: The eGroupware trouble ticket system application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version}
%description tracker
This is the trouble ticket system app for eGroupware.

%package wiki
Version: %{version}
Summary: The eGroupware wiki application
Group: Web/Database
AutoReqProv: no
Requires: egw-core >= %{version},
%description wiki
This is the wiki app for eGroupware.

%prep
%setup0 -c -n %{egwdirname}
%setup1 -T -D -a 1 -n %{egwdirname}
%setup2 -T -D -a 2 -n %{egwdirname}
%setup3 -T -D -a 3 -n %{egwdirname}
%setup4 -T -D -a 4 -n %{egwdirname}
%patch0 -p 0

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{egwdir}
mkdir -p $RPM_BUILD_ROOT%{httpdconfd}
sed 's/\/usr\/share\/pear/%{pear_dir}/' egroupware/doc/rpm-build/apache.conf > $RPM_BUILD_ROOT%{httpdconfd}/egroupware.conf
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
sed 's/apache/%{apache_user}/' egroupware/doc/rpm-build/egroupware.cron > $RPM_BUILD_ROOT/etc/cron.d/egroupware
mkdir -p $RPM_BUILD_ROOT%{egwdatadir}/default/files
mkdir -p $RPM_BUILD_ROOT%{egwdatadir}/default/backup
cp egroupware/doc/rpm-build/header.inc.php $RPM_BUILD_ROOT%{egwdatadir}
cp -aRf egroupware/* $RPM_BUILD_ROOT%{egwdir}
cd %{buildroot}%{egwdir}
ln -s ../../..%{egwdatadir}/header.inc.php
# create symlink for suse to get scripts with /usr/bin/php working
%if 0%{?suse_version}
	#/usr/sbin/update-alternatives --install /usr/bin/php php /usr/bin/php5 99
	mkdir %{buildroot}/usr/bin
	cd %{buildroot}/usr/bin
	ln -s php5 php
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%if 0%{?rhel_version} || 0%{?fedora_version} || 0%{?centos_version}
	chcon -R -u user_u -r object_r -t httpd_sys_content_t /var/lib/egroupware
	setsebool -P httpd_can_network_connect=1
%endif
%postun

# egroupware metapackage seems to need some files to be build ...
%files
%defattr(-,root,root)
%dir %{egwdir}

%files core
%defattr(-,root,root)
%dir %attr(0755,root,root) %{egwdir}
%{egwdir}/about.php
%{egwdir}/anon_wrapper.php
%{egwdir}/header.inc.php
%{egwdir}/header.inc.php.template
%{egwdir}/index.php
%{egwdir}/login.php
%{egwdir}/logout.php
%{egwdir}/notify.php
%{egwdir}/notify_simple.php
%{egwdir}/notifyxml.php
%{egwdir}/redirect.php
%{egwdir}/rpc.php
%{egwdir}/set_box.php
%{egwdir}/soap.php
%{egwdir}/xajax.php
%{egwdir}/xmlrpc.php
%{egwdir}/svn-helper.php
%{egwdir}/webdav.php
%{egwdir}/groupdav.php
%{egwdir}/addressbook
%{egwdir}/admin
%{egwdir}/doc
%{egwdir}/etemplate
%{egwdir}/home
%{egwdir}/phpgwapi
%{egwdir}/preferences
%{egwdir}/setup
%attr(0644,root,root) /etc/cron.d/egroupware
%config %attr(0644,root,root) %{httpdconfd}/egroupware.conf
%if 0%{?suse_version}
	%dir %attr(0755,root,root) /etc/apache2
	%dir %attr(0755,root,root) %{httpdconfd}
	# symlink for suse to get scripts with /usr/bin/php working
	/usr/bin/php
%endif
%dir %attr(0700,%{apache_user},%{apache_group}) %{egwdatadir}
%dir %attr(0700,%{apache_user},%{apache_group}) %{egwdatadir}/default
%dir %attr(0700,%{apache_user},%{apache_group}) %{egwdatadir}/default/files
%dir %attr(0700,%{apache_user},%{apache_group}) %{egwdatadir}/default/backup
%config %attr(0640,%{apache_user},%{apache_group}) %{egwdatadir}/header.inc.php

# addressbook is part of core now, as it contains required classes for accounts
#%files addressbook
#%defattr(-,root,root)
#%{egwdir}/addressbook

%files bookmarks
%defattr(-,root,root)
%{egwdir}/bookmarks

%files calendar
%defattr(-,root,root)
%{egwdir}/calendar

%files developer_tools
%defattr(-,root,root)
%{egwdir}/developer_tools

%files egw-pear
%defattr(-,root,root)
%{egwdir}/egw-pear

%files emailadmin
%defattr(-,root,root)
%{egwdir}/emailadmin

%files felamimail
%defattr(-,root,root)
%{egwdir}/felamimail

%files filemanager
%defattr(-,root,root)
%{egwdir}/filemanager

%files gallery
%defattr(-,root,root)
%{egwdir}/gallery

%files icalsrv
%defattr(-,root,root)
%{egwdir}/icalsrv

%files infolog
%defattr(-,root,root)
%{egwdir}/infolog

%files importexport
%defattr(-,root,root)
%{egwdir}/importexport

%files manual
%defattr(-,root,root)
%{egwdir}/manual

%files mydms
%defattr(-,root,root)
%{egwdir}/mydms

%files news_admin
%defattr(-,root,root)
%{egwdir}/news_admin

%files notifications
%defattr(-,root,root)
%{egwdir}/notifications

%files phpbrain
%defattr(-,root,root)
%{egwdir}/phpbrain

%files phpsysinfo
%defattr(-,root,root)
%{egwdir}/phpsysinfo

%files polls
%defattr(-,root,root)
%{egwdir}/polls

%files projectmanager
%defattr(-,root,root)
%{egwdir}/projectmanager

%files registration
%defattr(-,root,root)
%{egwdir}/registration

%files resources
%defattr(-,root,root)
%{egwdir}/resources

%files sambaadmin
%defattr(-,root,root)
%{egwdir}/sambaadmin

%files sitemgr
%defattr(-,root,root)
%{egwdir}/sitemgr

%files syncml
%defattr(-,root,root)
%{egwdir}/syncml

%files timesheet
%defattr(-,root,root)
%{egwdir}/timesheet

%files tracker
%defattr(-,root,root)
%{egwdir}/tracker

%files wiki
%defattr(-,root,root)
%{egwdir}/wiki
%changelog
* Tue Mar 23 2010 Ralf Becker <rb@stylite.de>
- version 1.6.003-2
- just fixing some anoying bugs, which sliped into 1.6.003
* Tue Mar  9 2010 Lars Volker <lv@stylite.de>
- version 1.6.003
- eGroupware 1.6.003 security and bugfix release
- fixes 2 security problems:
  - one is a serious remote command execution (allowing to run arbitrary
  commands on the web server by simply issuing a HTTP request!)
  - the other a reflected cross-site scripting (XSS)
Both require NO valid EGroupware account and work without being logged in!
- SyncML 1.2 support and many SyncML bug fixes
- many bugfixes since 1.6.002 release
* Mon Jul 20 2009 Ralf Becker <rb@stylite.de>
- version 1.6.002
- eGroupware 1.6.002 security and bugfix release
- fixes 3 security problems:
  + FCKeditor (remote file upload)
  + tracker (XSS problem)
  + knowledgebase (SQL injection)
- added HTML Purifier as preventive measure for FCKeditor content
- tons of bugfixes since initial 1.6.001 release
* Fri Mar 13 2009 Peter Eisentraut <petere@debian.org>
- version 1.6.001+dfsg-2
- Upload to unstable
[ Jan Wagner ]
- add egroupware-notifications package, cause the application was missing
  and it's needed by calendar application
- depend egroupware-calendar on egroupware-notifications
[ Peter Eisentraut ]
- Depend egroupware-tracker on egroupware-notifications
- Add newline after egw:Modules substitution variable; fixes FTBFS
  (This is caused by a change in debhelper 7.1.0.)
- Added ${misc:Depends} to all Depends lines, per lintian
* Sat Dec  6 2008 Peter Eisentraut <petere@debian.org>
- version 1.6.001+dfsg-1
- New upstream release
- Updated copyright notices
- Added php5-cli dependency to filemanager application, per lintian
* Tue Nov 18 2008 Peter Eisentraut <petere@debian.org>
- version 1.6~rc5-2+dfsg-1
- New upstream release candidate
* Sat Nov 15 2008 Peter Eisentraut <petere@debian.org>
- version 1.6~rc4+dfsg-1
- New upstream release candidate
  - mydms application removed
- Changed watch file temporarily for RC versions
* Wed Oct  1 2008 Peter Eisentraut <petere@debian.org>
- version 1.4.004-2.dfsg-4
- Debconf translation updates
* Fri Sep 12 2008 Peter Eisentraut <petere@debian.org>
- version 1.4.004-2.dfsg-3
- Debconf translation updates
* Mon Jul 14 2008 Peter Eisentraut <petere@debian.org>
- version 1.4.004-2.dfsg-2
- Debconf translation updates
- Renamed README.maintainer to now standardized name README.source
- Updated standards version
- Reference .../doc/egroupware-core/README.Debian.gz with gz suffix
- Removed obsolete lintian overrides
- Simplified setup code, obsoleting 06-egw-header-template.dpatch
- Removed obsolete 08-egw-checkinstall-symlink.dpatch and all of dpatch
- Replaced gawk by perl in debian/rules, simplified code a bit
* Fri May  9 2008 Peter Eisentraut <petere@debian.org>
- version 1.4.004-2.dfsg-1
- New upstream release
  - Obsoletes 01-kses-security.dpatch
- Added Vcs-* control fields for move to collab-maint
- Made egw-sanitize-tarball compatible with uscan and updated watch file to
  use it
- Debconf translation updates
* Sat Mar 22 2008 Nico Golde <nion@debian.org>
- version 1.4.002.dfsg-2.1
- Non-maintainer upload by the Security Team.
- Fix multiple security issues in kses _bad_protocol_once function. Details
  are under embargo for now (01-kses-security.dpatch; Closes: #471839).
* Sat Mar  1 2008 Peter Eisentraut <petere@debian.org>
- version 1.4.002.dfsg-2
- Upload to unstable
- Updated standards version
- Converted copyright files to UTF-8
- Added information in egroupware-addressbook/NEWS.Debian about upgrading an
  LDAP-based addressbook
- Switched back to integrated version of ttf-bitstream-vera, because the
  package has been removed
- Debconf templates and package description review
- Debconf translation updates (closes: #465063, #465133, #465799, #467163,
  [#467173], #467479, #467497, #467536, #468479)
- Added Homepage control field
* Thu Oct  4 2007 Peter Eisentraut <petere@debian.org>
- version 1.4.002.dfsg-1
- New upstream release
  - Fixes mishandling of empty web server docroot
  - Includes fix for cross-site-scripting security problem
    (CVE-2007-5091)
- Removed obsolete LDAP setup instructions from egroupware-core's
  README.Debian
* Mon Jul  9 2007 Peter Eisentraut <petere@debian.org>
- version 1.4.001.dfsg-2
- Removed support for Apache 1 and PHP 4
- Replaced ${Source-Version} by ${binary:Version}
- Fixed bugs in translations of debconf templates
- Reenabled outdated translations pt_BR and vi, because the really
  outdated parts are now obsolete
* Fri Jun 15 2007 Peter Eisentraut <petere@debian.org>
- version 1.4.001.dfsg-1
- New upstream release
- Removed egroupware-ldap package
- Some installation cleanup
* Tue May 29 2007 Peter Eisentraut <petere@debian.org>
- version 1.3.023.dfsg-1
- New upstream release
  - workflow application removed
  - Obsoletes patch 04-egw-ldap-doc
- Added tracker application
- Updated Apache configuration with upstream recommendations
- Fixed ttf-bitstream-vera handling
- Disabled compression of *.php files installed as documentation
- Some installation cleanup
* Mon May 21 2007 Peter Eisentraut <petere@debian.org>
- version 1.3.022.dfsg-1
- New upstream release
- Updated egw-sanitize-tarball script to exclude debian/ directory
  maintained by upstream
* Fri May 11 2007 Peter Eisentraut <petere@debian.org>
- version 1.2.106-2.dfsg-3
- New Galician translation of debconf templates by Jacobo Tarrio
- Only change permissions on /var/lib/egroupware/ during initial
  installation, in case someone wants a different setup
* Fri Feb  9 2007 Peter Eisentraut <petere@debian.org>
- version 1.2.106-2.dfsg-2
- Fixed watch file to ignore beta versions
- New Portuguese translation of debconf templates by Carlos Lisboa
* Mon Jan  8 2007 Peter Eisentraut <petere@debian.org>
- version 1.2.106-2.dfsg-1
- New upstream release
* Tue Jan  2 2007 Peter Eisentraut <petere@debian.org>
- version 1.2-106.dfsg-1
- New upstream release
- Enabled installation with php5 >=5.2
- Set php_flag display_errors to off to work around php5 bug
- New Spanish translation of debconf templates by César Gómez Martín
- Added PEAR path to open_basedir
* Sat Dec  2 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-105.dfsg-4
- Disabled installation with php5 >=5.2
- Changed some php_{flag|value} directives to php_admin_{flag|value}
  as required
- Disabled outdated translations pt_BR and vi
* Sat Nov  4 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-105.dfsg-3
- Placed php5 dependencies before php4 alternatives
- Raised php4 dependency to 4.3
* Fri Oct 13 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-105.dfsg-2
- New French translation of debconf templates by "Steve"
- New Japanese translation of debconf templates by Hideki Yamane
* Sun Sep 24 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-105.dfsg-1
- New upstream release
- New Czech translation of debconf templates by Miroslav Kure
* Mon Sep 18 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-104.dfsg-3
- New Dutch translation of debconf templates by Kurt De Bree
- Added missing build dependency po-debconf
- Added note about tcpip_socket not enabled by default for PostgreSQL
  7.4
- Set all of /var/lib/egroupware/ owned by www-data:www-data
- Handle purging egroupware-core when debconf is not installed
* Mon Aug 28 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-104.dfsg-2
- Enhanced watch file
- Enable mod_actions for Apache 2
- Removed recommendations of php5-mcal and php5-xslt, which don't exist
- Altered Debconf templates to fit recommendations in Developer's
  Reference
- Code clean-up in maintainer scripts
- Updated setup instructions for new PostgreSQL packaging scheme
- Simplified documentation for LDAP setup
- Added php{4,5}-odbc as dependency alternative
- Updated for new fpdf path
* Fri Jul 28 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-104.dfsg-1
- New upstream release
- Dropped 05-egw-projects-jpgraph-path patch because upstream clearly
  believes this feature is relevant
- New stuff relative to previous unstable version ...
  - New applications: mydms, projectmanager, resources, sambaadmin,
    timesheet, workflow
  - Dropped applications: backup, comic, email, forum, ftp, fudforum,
    headlines, jinn, messenger, phpldapadmin, projects, stocks, tts
  - MySQL 5 support
  - XMLRPC variable names fixed
  - Added PHP5 dependencies as alternatives
  - Language installation more robust
  - IPv6 support (#330873)
  - Calendar support for all-day events
- Fixed spelling mistake in package description
- New Dutch translation of debconf templates by Kurt De Bree
* Mon Jun 12 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-102.dfsg-2
- New upstream release
- Fixed php[45]-gd dependency
* Wed May 31 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-2.dfsg-1
- New upstream release
- Added PHP5 dependencies as alternatives
- Added Subversion support to egw-sanitize-tarball
- Changed to Debhelper level 5
- Sorted out Build-Depends vs. Build-Depends-Indep
- Changes to default Apache configuration by Lars Kneschke:
  - Added /usr/share/php to include_path
  - Improved ical handling
  - Improved rpc handling
* Thu Apr 20 2006 Peter Eisentraut <petere@debian.org>
- version 1.2-1.dfsg-1
- New upstream release
  - New applications: mydms, projectmanager, resources, sambaadmin,
    timesheet, workflow
  - Dropped applications: backup, comic, email, forum, ftp, fudforum,
    headlines, jinn, messenger, phpldapadmin, projects, stocks, tts
- Most patches obsoleted
- Calculate dependencies of meta package automatically
* Mon Nov 28 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-3-4
- Fixed fudforum arbitrary code execution security problem (CVE-2005-2781)
- Fixed watch file to exclude RC versions
* Mon Nov 14 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-3-3
- Corrected fudforum fix
- Fixed cross-site-scripting [phpsysinfo/includes/system_footer.php,
  phpsysinfo/includes/system_header.php,
  debian/patches/22-egw-CVE-2005-0870-xss.dpatch]
- Backported parts of changes by Christopher Kunz to fix arbitrary file
  inclusion [phpsysinfo/index.php,
  debian/patches/23-egw-CVE-2005-3347-file.dpatch]
- Initialise charset variable to fix cross-site scripting
  [phpsysinfo/index.php, debian/patches/24-egw-CVE-2005-3348-xss.dpatch]
* Tue Nov  1 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-3-2
- Fixed fudforum cross-site scripting security problem (CAN-2005-2600)
- New Swedish translation of debconf templates by Daniel Nylander
* Mon Sep 26 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-3-1
(The actual upstream release name is "1.0.0.009-3".)
- New upstream release
  - Obsoletes patch 10-egw-xmlrpc-fix-fix
* Mon Sep  5 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-2
- Added upstream's fix for the previous fix
* Thu Sep  1 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.009.dfsg-1
- New upstream release
  - Includes fix for (another) XML-RPC remote execution security problem
    (CAN-2005-2498)
* Fri Jul 29 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.008-2.dfsg-1
- New upstream release
- New Czech translation of debconf templates by Miroslav Kure
- Improved version recognition in watch file
* Sat Jul  9 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.008-1.dfsg-1
- New upstream release
  - Contains better fix for XML-RPC security problem (bug #317263)
  - Obsoletes patches 09-egw-calendar-konqueror, 10-egw-pam-auth
* Thu Jul  7 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.007-3.dfsg-1
- New upstream release
  - Includes fix for XML-RPC remote execution security problem
    (CAN-2005-1921)
- Updated standards version
* Sat Jun 11 2005 Peter Eisentraut <petere@debian.org>
- version 1.0.0.007-2.dfsg-4
- New Vietnamese translation of debconf templates by Clytie Siddall
- Changed maintainer address
* Tue May 24 2005 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.0.007-2.dfsg-3
- Fixed PAM authentication
* Thu May 12 2005 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.0.007-2.dfsg-2
- Fixed calendar month display in Konqueror
* Thu Apr 21 2005 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.0.007-2.dfsg-1
- New upstream version
  - fixes several security problems
  - fixes SQL error in calendar matrix view
  - skel application removed
- Added php4-cli to dependencies of -fudforum
- Made Apache 2 the preferred web server alternative in dependencies and
  debconf question, adjusted debconf translations manually
- Added setup instructions for MySQL (thanks to Christian Motschke)
* Mon Nov  8 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.006-1.dfsg-1
- New upstream version
- Adjusted patch egw-projects-jpgraph-path for upstream changes
- Removed patch egw-admin-save-email, obsoleted by upstream changes
- Added patch to ignore dangling symlinks in check_install.php;
  phpldapadmin/config.php is initially a dangling symlink, so we don't
  want to complain about that.
- Added perl to dependencies of -core (needed for postinst)
* Mon Nov  1 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.005-1.dfsg-3
- Converted dpatch to use /usr/share/dpatch/dpatch-run
- No longer set php_flag display_errors off; this should be chosen by
  the system administrator or the user.
- -calendar depends on -infolog
- New Japanese translation of debconf templates by Hideki Yamane
- Added patch to save email addresses when creating new users
* Sat Sep 25 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.005-1.dfsg-2
- Removed PHP conditionals in apache.conf; besides having been
  relatively useless, this also gets Apache 2 working.
- Symlinked to ttf-bitstream-vera instead of installing our own copy
- Symlinked to fpdf instead of installing our own copy (except
  fpdf.php, which is patched by egroupware)
* Sat Sep 11 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.005-1.dfsg-1
- New upstream version
- Added ".dfsg" to version name to make explicit that this is not the
  original upstream tarball
- egroupware-infolog.remove now obsolete
- Removed new .htaccess file from installation
- Adjusted patch egw-ldap-doc for upstream changes
- Adjusted patch egw-projects-var-www for upstream changes and renamed
  to egw-projects-jpgraph-path
- Added suggestions of php4-imap and php4-auth-pam to -core package
- Removed dependencies on php4-gd2 (see bug #261186)
* Sat Sep  4 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.004-2+cvs20040825-2
- Added sitemgr-link symlink into the -sitemgr package
- New Brazilian Portuguese translation of debconf templates by
  André Luís Lopes <andrelop@debian.org>
- Removed some obsolete files from -filemanager package
- phpldapadmin was by fault in debian/rules filtered from the list of
  modules, so it did not get any files installed at all; fixed
- Added symlinks and instructions for setting up a phpldapadmin
  configuration file
- Converted the executable dpatch 00template, which doesn't work, to
  the nonexecutable variant
* Thu Aug 26 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.004-2+cvs20040825-1
- New upstream release plus additional fixes (check out from CVS using
  -r Version-1_0_0-branch -D '2004-08-25 00:00:00 UTC')
- Updated egw-ldap-doc patch for new translations
- Sorted out the web server and PHP dependencies:
  - Support only Apache variants and PHP as module
  - New Apache 2 support (experimental)
  - Changed dependency on php4-cgi to php4-cli
- Use invoke-rc.d in maintainer scripts
- Ignore web server reload failures
- New French (fr) translation of debconf templates by Florent Usseil
- Added more dependencies on PHP modules in the applications
- Force PHP mbstring overloading to be on
- Remove executable permission from installed PHP files
* Tue Aug 17 2004 Peter Eisentraut <peter_e@gmx.net>
- version 1.0.00.003-2-1
- New upstream release (first stable upstream release, so it can go
  into Debian unstable now)
- Patches now handled by dpatch
- More detailed copyright information added
- More careful selection of installed files
- More nonfree files removed from source package
- Dependencies revised
- debian/rules simplified
- Configuration adjusted for new upstream version, web server
  selection changed in preparation for more supported servers
* Fri Jun 11 2004 Peter Eisentraut <peter_e@gmx.net>
- version 0.9.99.015-1-1
- Initial release
- Removed calendar/doc/rfc2445.txt, because it is not free.
- Changed fudforum setup to work better in Debian directory structure.
